For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sales Channel Cargo Company

Retrieve Cargo Company

get

Retrieves a specific cargo company associated with sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Cargo company details

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Unique identifier of the cargo company.

Example: 1
namestring · max: 64Optional

Name of the cargo company.

Example: UPS
erp_codestring · max: 64Optional

Unique ERP code associated with the cargo company.

Example: UPS_001
shipping_companystring · enumOptional

Shipping company options

Example: yurticiPossible values:
get/api/v1/channel/{channel_id}/cargos/{id}/
GET /api/v1/channel/{channel_id}/cargos/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "name": "UPS",
  "erp_code": "UPS_001",
  "shipping_company": "yurtici",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List Cargo Companies

get

Retrieves a list of cargo companies associated with sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

erp_code__exactstringOptional

Filter by exact ERP code.

Example: ERPCODE123
namestringOptional

Filter by name.

shipping_companystring · enumOptional

Shipping company options

Example: yurticiPossible values:
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
Responses
200

A list of cargo companies.

application/json
countintegerOptional

Total number of items

nextstring · nullableOptional

URL for next page

previousstring · nullableOptional

URL for previous page

get/api/v1/channel/{channel_id}/cargos/
GET /api/v1/channel/{channel_id}/cargos/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?